<?php
/************************************
 pragmaMx  Content Management System
 Copyright (c) 2005 pragmaMx Dev Team - http://pragmaMx.org
 ***********************************
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 ***********************************
 $Source: /home/cvs/pragmamx/stable/modules/My_eGallery/index.php,v $
 $Revision: 1.10 $
 $Author: tora60 $
 $Date: 2005/12/06 07:53:32 $
 ***********************************
 this file based on:
 My_eGallery
 Copyright (c) 2001 by ~ MarsIsHere ~ (marsishere@yahoo.fr), http://www.marsishere.net
 php-nuke Web Portal System - http://phpnuke.org/
 Thatware - http://thatware.org/
************************************/

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");
$module_name = basename(dirname(__FILE__));
include("modules/".$module_name."/include.php");
if (!(isset ($do))){$do="";}

function underscoreTospace($name)
{
	$name = str_replace("_"," ",$name);
	return $name;
}

function meg_bbencode($message)
{
         global $prefix;
         // [CODE] and [/CODE] for posting code (HTML, PHP, C etc etc) in your posts.
         $matchCount = preg_match_all("#\[code\](.*?)\[/code\]#si", $message, $matches);
         for ($i = 0; $i < $matchCount; $i++)
         {
             $currMatchTextBefore = preg_quote($matches[1][$i]);
             $currMatchTextAfter = htmlspecialchars($matches[1][$i]);
             $message = preg_replace("#\[code\]$currMatchTextBefore\[/code\]#si", "<!-- BBCode Start --><TABLE BORDER=\"0\" ALIGN=\"CENTER\" WIDTH=\"85%\"><TR><TD><font class=\"tiny\">Code:</font><hr size=1 noshade></TD></TR><TR><TD><font class=\"tiny\"><PRE>$currMatchTextAfter</PRE></FONT></TD></TR><TR><TD><hr size=1 noshade></TD></TR></TABLE><!-- BBCode End -->", $message);
         }
         // [QUOTE] and [/QUOTE] for posting replies with quote, or just for quoting stuff.
         $message = preg_replace("#\[quote\](.*?)\[/quote]#si", "<!-- BBCode Quote Start --><TABLE BORDER=\"0\" ALIGN=\"CENTER\" WIDTH=\"85%\"><TR><TD><font class=\"tiny\">Quote:</font><hr size=1 noshade></TD></TR><TR><TD><BLOCKQUOTE><font class=\"tiny\">\\1</FONT></BLOCKQUOTE></TD></TR><TR><TD><hr size=1 noshade></TD></TR></TABLE><!-- BBCode Quote End -->", $message);
         // [b] and [/b] for bolding text.
         $message = preg_replace("#\[b\](.*?)\[/b\]#si", "<!-- BBCode Start --><B>\\1</B><!-- BBCode End -->", $message);
         // [i] and [/i] for italicizing text.
         $message = preg_replace("#\[i\](.*?)\[/i\]#si", "<!-- BBCode Start --><I>\\1</I><!-- BBCode End -->", $message);
         // [url]www.phpbb.com[/url] code..
         $message = preg_replace("#\[url\](http://)?(.*?)\[/url\]#si", "<!-- BBCode Start --><A HREF=\"http://\\2\" TARGET=\"_blank\">\\2</A><!-- BBCode End -->", $message);
         // [url=www.phpbb.com]phpBB[/url] code..
         $message = preg_replace("#\[url=(http://)?(.*?)\](.*?)\[/url\]#si", "<!-- BBCode Start --><A HREF=\"http://\\2\" TARGET=\"_blank\">\\3</A><!-- BBCode End -->", $message);
         // [email]user@domain.tld[/email] code..
         $message = preg_replace("#\[email\](.*?)\[/email\]#si", "<!-- BBCode Start --><A HREF=\"mailto:\\1\">\\1</A><!-- BBCode End -->", $message);
         // [img]image_url_here[/img] code..
         $message = preg_replace("#\[img\](.*?\.(png|jpe?g|gif))[[:space:]]*?\[/img\]#si", "<!-- BBCode Start --><IMG SRC=\"\\1\"><!-- BBCode End -->", $message);
         // unordered list code..
         $matchCount = preg_match_all("#\[list\](.*?)\[/list\]#si", $message, $matches);
         for ($i = 0; $i < $matchCount; $i++)
         {
             $currMatchTextBefore = preg_quote($matches[1][$i]);
             $currMatchTextAfter = preg_replace("#\[\*\]#si", "<LI>", $matches[1][$i]);
             $message = preg_replace("#\[list\]$currMatchTextBefore\[/list\]#si", "<!-- BBCode ulist Start --><UL>$currMatchTextAfter</UL><!-- BBCode ulist End -->", $message);
         }
         // ordered list code..
         $matchCount = preg_match_all("#\[list=([a1])\](.*?)\[/list\]#si", $message, $matches);
         for ($i = 0; $i < $matchCount; $i++)
         {
             $currMatchTextBefore = preg_quote($matches[2][$i]);
             $currMatchTextAfter = preg_replace("#\[\*\]#si", "<LI>", $matches[2][$i]);
             $message = preg_replace("#\[list=([a1])\]$currMatchTextBefore\[/list\]#si", "<!-- BBCode olist Start --><OL TYPE=\\1>$currMatchTextAfter</OL><!-- BBCode olist End -->", $message);
         }
         return($message);
}

function galleryHeader()
{
	global $basepath;
	include("header.php");
}
function galleryFooter()
{
	global $font;
	echo "<p align=\"right\"><font class=\"".$font['tiny']."\">".sprintf(_GALCOPYRIGHT, _GALVERSION)."</font></p>";
	include("footer.php");
}

function navigationGall($fromsearch=false, $howmany=0) {
	global $baseurl, $galleryvar, $font, $user, $admin, $prefix, $do ;
	$howmany=intval($howmany);
	$fromsearch = (empty($fromsearch)) ? false:true;
	if (!($fromsearch))
	{
		if (is_admin($admin))
		{
			$row = sql_fetch_array(sql_query("SELECT COUNT(p.pid) AS total FROM ".$prefix."_gallery_pictures AS p LEFT JOIN ".$prefix."_gallery_categories AS c ON c.gallid=p.gid WHERE c.visible>=0 AND (TO_DAYS(NOW()) - TO_DAYS(p.date))<7"));
		}
		else
		{
			$row = sql_fetch_array(sql_query("SELECT COUNT(p.pid) AS total FROM ".$prefix."_gallery_pictures AS p LEFT JOIN ".$prefix."_gallery_categories AS c ON c.gallid=p.gid WHERE c.visible>0 AND (TO_DAYS(NOW()) - TO_DAYS(p.date))<7"));
		}
		if (is_admin($admin))
			$row2 = sql_fetch_array(sql_query("SELECT SUM(total) AS total FROM ".$prefix."_gallery_categories WHERE visible>=0 AND parent=-1"));
		else
			$row2 = sql_fetch_array(sql_query("SELECT SUM(total) AS total FROM ".$prefix."_gallery_categories WHERE visible>0 AND parent=-1"));
		$out = "<p align=\"center\"><font class=\"".$font['title']."\">[&nbsp;&lt;&nbsp;</font><a class=\"".$font['title']."\" href=\"".$baseurl."\">&nbsp;&nbsp;"._GALHOME."&nbsp;&nbsp;</a>";
		if($galleryvar['displaytop'])
		{
			$out .="<font class=\"".$font['title']."\">|</font><a class=\"".$font['title']."\" href=\"".$baseurl."&amp;do=top\">&nbsp;&nbsp;"._GALTOP10."&nbsp;&nbsp;</a>";
		}
		if($galleryvar['allowpostpics'])
		{
			$out .="<font class=\"".$font['title']."\">|</font><a class=\"".$font['title']."\" href=\"".$baseurl."&amp;do=upload\">&nbsp;&nbsp;"._GALPOSTMEDIA."&nbsp;&nbsp;</a>";
		}
		$out .="<font class=\"".$font['title']."\">&nbsp;&gt;&nbsp;]</font>";
		$out .="<br><font class=\"".$font['tiny']."\">".$row2['total']." "._GALIMAGES."</font>";
		if($row['total'] && !$do)
		$out .="<font class=\"".$font['tiny']."\">(".$row['total']." "._GALNEWIMAGES.")</font>";
	}
	else
	{
		$out = "<p align=\"center\"><font class=\"".$font['title']."\">[&nbsp;&lt;&nbsp;</font><a class=\"".$font['title']."\" href=\"".$baseurl."\">&nbsp;&nbsp;"._GALHOME."&nbsp;&nbsp;</a>";
        if($galleryvar['displaytop'])
		{
			$out .="<font class=\"".$font['title']."\">|</font><a class=\"".$font['title']."\" href=\"".$baseurl."&amp;do=top\">&nbsp;&nbsp;"._GALTOP10."&nbsp;&nbsp;</a>";
		}
		if($galleryvar['allowpostpics'])
		{
			$out .="<font class=\"".$font['title']."\">|</font><a class=\"".$font['title']."\" href=\"".$baseurl."&amp;do=upload\">&nbsp;&nbsp;"._GALPOSTMEDIA."&nbsp;&nbsp;</a>";
		}
		$out .="<font class=\"".$font['title']."\">&nbsp;&gt;&nbsp;]</font>";
		$out .="<br><font class=\"".$font['tiny']."\">".$howmany." "._GALIMAGES."</font>";
	}
	$out .="</p>";
	return $out;
}
function recursiveBuild($gid)
{
	global $baseurl, $font, $prefix;
	if ($gid>0)
    {
$sql = sql_query("select gallname, parent from ".$prefix."_gallery_categories WHERE gallid=".intval($gid)."");
list($gname, $parent) = sql_fetch_row($sql);
	}
	else
return "";
	if ($parent>0) 	
    {	
$out .= recursiveBuild($parent);
$out .="<font class=".$font['title']."> &gt;&gt; </font><a class=".$font['title']." href=".$baseurl."&amp;do=showgall&amp;gid=".$gid.">".underscoreTospace($gname)."</a>";
return $out;
	}
	else
return "<font class=".$font['title']."> &gt;&gt; </font><a class=".$font['title']." href=".$baseurl."&amp;do=showgall&amp;gid=".$gid.">".underscoreTospace($gname)."</a>";
}
function navigationTree($gid, $pid)
{
	global $baseurl, $bgcolor2, $font, $prefix;
    $sql = sql_query("select gallname, parent from ".$prefix."_gallery_categories WHERE gallid=".intval($gid)."");
    list($gallname, $parent) = sql_fetch_row($sql);
    $out = "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"#000000\"><tr><td>";
    $out .="<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"8\" bgcolor=".$bgcolor2."><tr><td>";
    $out .="<a class=".$font['title']." href=".$baseurl.">"._GALHOME."</a>";
	$out .= recursiveBuild($parent);
	if (isset($pid) && $pid!="") {
list($name) = sql_fetch_row(sql_query("select name from ".$prefix."_gallery_pictures WHERE pid=".intval($pid).""));
$out .= '<font class="'.$font['title'].'"> &gt;&gt; </font><a class="'.$font['title'].'" href="'.$baseurl.'&amp;do=showgall&amp;gid='.$gid.'">'.underscoreTospace($gallname).'</a>';
$out .=  '<font class="'.$font['title'].'"> &gt;&gt; '.underscoreTospace($name).'</font>';
	}
	else
$out .= '<font class="'.$font['title'].'"> &gt;&gt; '.underscoreTospace($gallname).'</font>';
	$out .= '
	</td></tr>
	</table>
	</td></tr>
	</table>';
	return $out;
}

function postcomment($pid, $comment, $gname, $member) {
	global $prefix, $galleryvar;
	if (is_user($user))
        	{
        		$userdata = mxGetUserSession();
		$gname=$userdata[1];
	}
	elseif ((!is_user($user))&& ($galleryvar['anoncomments']))
	{
		mxErrorScreen("You Try to cheat the Comments !!!");
	}

       		$comment = mxPrepareCensored(mxAddSlashesForSQL($comment));
        	$gname = mxAddSlashesForSQL($gname);
        	$pid=intval($pid);
	sql_query("insert into ".$prefix."_gallery_comments values (NULL, '$pid', '$comment', now(), '$gname', ".intval($member).")");
	$fromtime=time ();
	if ($galleryvar['waitcomment'])
	{
	mxSessionSetVar (myeGalleryCommentWait, $fromtime);
	}
}




function indent($gid) {
	global $prefix;
	$tab = 0;
	list($parent) = sql_fetch_row(sql_query("SELECT parent FROM ".$prefix."_gallery_categories WHERE gallid=".intval($gid).""));
	while ($parent != -1) {
list($parent) = sql_fetch_row(sql_query("SELECT parent FROM ".$prefix."_gallery_categories WHERE gallid=".intval($parent).""));
$tab ++;
	}
	return $tab;
}

function convertorderbyin($orderby) {
    if ($orderby == "titleA")	$orderby = "name ASC";
    if ($orderby == "dateA")	$orderby = "date ASC";
    if ($orderby == "hitsA")	$orderby = "counter ASC";
    if ($orderby == "ratingA")	$orderby = "rate ASC";
    if ($orderby == "titleD")	$orderby = "name DESC";
    if ($orderby == "dateD")	$orderby = "date DESC";
    if ($orderby == "hitsD")	$orderby = "counter DESC";
    if ($orderby == "ratingD")	$orderby = "rate DESC";
    return $orderby;
}

function convertorderbyout($orderby) {
    if ($orderby == "name ASC")		$orderby = "titleA";
    if ($orderby == "date ASC")		$orderby = "dateA";
    if ($orderby == "counter ASC")	$orderby = "hitsA";
    if ($orderby == "rate ASC")		$orderby = "ratingA";
    if ($orderby == "name DESC")	$orderby = "titleD";
    if ($orderby == "date DESC")	$orderby = "dateD";
    if ($orderby == "counter DESC")	$orderby = "hitsD";
    if ($orderby == "rate DESC")	$orderby = "ratingD";
    return $orderby;
}

switch($do) {
        case "showgall":
                 include("".$basepath."/public/displayCategory.php");
                 $page=(!empty($_REQUEST['page'])) ? intval($_REQUEST['page']) : 1;
                 global $orderby, $offset;
                showgall($gid, $offset, $orderby, $page);
                break;
        case "showpic":
        	include("".$basepath."/public/displayMedia.php");
        	global $orderby;
        	$pid = (int)$pid; ##secure
            sql_query("update ".$prefix."_gallery_pictures set counter=counter+1 where pid=".intval($pid)."");
    showpic($pid, $orderby);
        	break;
        case "top":
        	include("".$basepath."/public/displayTop.php");
top();
        	break;
	case "New":
        	newpics();
        	break;
        case "Post":
            if ($galleryvar['waitcomment'])
            {
            	$nowTime=time();
		$fromtime=mxSessionGetVar(myeGalleryCommentWait);
		if ($nowTime-$fromtime>$galleryvar['timebetweencomment'])
		{
        			postcomment($pid, $comment, $gname, $member);
        			header("Location: modules.php?name=$module_name&file=index&do=showpic&pid=$pid");
        		}
        		else
		{
			galleryHeader();
			OpenTable();
			echo navigationGall();
			echo "<center>"._WAITFORNEWCOMMENT." ".$galleryvar['timebetweencomment']." sec. <br><br>"._GOBACK7."</center>";
			CloseTable();
			galleryFooter();
		}
	}
	else
	{
		postcomment($pid, $comment, $gname, $member);
        		header("Location: modules.php?name=$module_name&file=index&do=showpic&pid=$pid");
        	}
break;
	case "Vote":
include("".$basepath."/public/displayMedia.php");
rateCollector($pid, $rate);
	    showpic($pid, $orderby);
break;
	case "upload":
include("".$basepath."/public/uploadFile.php");
include("".$adminpath."/fileFunctions.php");
if (isset($add) && $add=="Upload")
        {
    $userfile_name=$_FILES['userfile']['name'];
	$ext =substr($userfile_name, (strrpos($userfile_name,'.') +  1));
	$result = sql_query("select filetype from ".$prefix."_gallery_media_types where extension='".mxAddSlashesForSQL($ext)."'");
	if (sql_num_rows($result)==0)
            {
		galleryHeader();
		OpenTable();
		echo navigationGall();
		echo "<br>";
		echo "<center>"._GALTYPENOTSUPPORTED."<br><br>"._GOBACK7."</center";
		CloseTable();
		galleryFooter();
	}
	else
	{
		$userfile=$_FILES['userfile']['tmp_name'];
		$userfile_size=$_FILES['userfile']['size'];
		$upload_return = Add($Category, $userfile_name, $Submitter, $MediaName, $Description, $userfile, $userfile_name, $userfile_size);
		//echo "public index : $upload_return<br>";
		if ($upload_return!="OK")
    	{
			galleryHeader();
			OpenTable();
			echo navigationGall();
			echo "<br>";
			echo "<center>".$upload_return."<br><br>"._GOBACK7."</center>";
			CloseTable();
			galleryFooter();
		}
		else
    	{
			galleryHeader();
	    	OpenTable();
	    	echo navigationGall();
			echo "<p align=\"center\"><b>"._GALMEDIARECEIVED."</b><br>";
			echo ""._GALCHECKFORIT."</p>";
			CloseTable();
			galleryFooter();
		}
	}
}
else
	upload_file();
break;
	case "search":
include ("".$basepath."/public/search.php");
	    include ("".$basepath."/public/displayCategory.php");
search_go($_POST);
break;
	case "deletecomment":
include("".$basepath."/public/displayMedia.php");
$sql = "DELETE from ".$prefix."_gallery_comments where cid=".intval($cid)."";
sql_query($sql);
        showpic($pid, $orderby);
break;
	
    case "getit":
    	include("".$basepath."/public/zip_class.php");
$url1 = "".$basepath."/gallery/".$url."";
if (!strstr($url1, "..") && @file_exists($url1))
{
	$zipfile = new zipfile();
	$zipfile -> add_file("".$basepath."/gallery/".$url."", "".$filename."");
	header("Content-type: application/octet-stream");
            header("Content-disposition: attachment; filename=image.zip");
            echo $zipfile -> file();
	#Header("Location: $url");
}
else {
	galleryHeader();
	OpenTable();
	echo navigationGall();
	echo "<p align=\"center\"><b>"._GALFILENOTFOUND."</b><br><br>"._GOBACK7."</p>";
	CloseTable();
	galleryFooter();
}
break;
	
        default:
        include("".$basepath."/public/mainGallery.php");
viewcats();
       	 	break;
}
?>
