<?php
/**
 * pragmaMx  Content Management System
 * Copyright (c) 2005 pragmaMx Dev Team - http://pragmaMx.org
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * $Source: /home/cvs/pragmamx/stable/modules/My_eGallery/public/displayCategory.php,v $
 * $Revision: 1.4 $
 * $Author: tora60 $
 * $Date: 2005/10/13 20:53:20 $
 * 
 * this file based on:
 * My_eGallery
 * Copyright (c) 2001 by ~ MarsIsHere ~ (marsishere@yahoo.fr), http://www.marsishere.net
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");
if (isset($_REQUEST['basepath']) || isset($_REQUEST['adminpath'])) {
    Header("Location: index.php");
    die();
} 
include ("" . $basepath . "/public/imageFunctions.php");
include ("" . $adminpath . "/fileFunctions.php");

function getThumbnail($img, $galloc)
{
    global $gallerypath, $imagepath, $prefix, $dbi;
    $ext = substr($img, (strrpos($img, '.') + 1));

    if (@file_exists("" . $gallerypath . "/" . $galloc . "/thumb/" . $img . "")) {
        $thumb = "" . $gallerypath . "/" . $galloc . "/thumb/" . $img . "";
    } else {
        $row = sql_fetch_array(sql_query("SELECT thumbnail from " . $prefix . "_gallery_media_types where extension='" . mxAddSlashesForSQL($ext) . "'", $dbi), $dbi);
        $thumbnail = $row['thumbnail'];
        $thumb = "" . $imagepath . "/" . $thumbnail . "";
    } 
    // echo $thumb;
    return $thumb;
} 

function displayPictureGall($filetype, $gid, $pid, $thumbwidth, $galloc, $name, $img, $orderby)
{
    global $gallerypath, $font, $adminurl, $baseurl, $adminpath, $imagepath, $galleryvar, $admin;

    $image = "" . $gallerypath . "/" . $galloc . "/" . $img . "";
    $thumb_dir = "" . $gallerypath . "/" . $galloc . "/thumb";
    $thumb = "" . $thumb_dir . "/" . $img . "";
    $out = ""; 
    // create the thumbnail if missing
    if (!@file_exists($thumb)) {
        if (!@file_exists($thumb_dir) && $galleryvar['imageSoftware'] != "browser") {
            makeDir("" . $gallerypath . "/" . $galloc . "", "thumb");
        } 
        if ($filetype == 1) {
            $thumb = RatioResizeImg("" . $gallerypath . "/" . $galloc . "/" . $img . "", $thumb, $gid);
        } 

        if ($thumb == "browser") {
            $nonautomresizing = 1;
            $thumb = $image;
        } else {
            $thumb = getThumbnail($img, $galloc);
        } 
    } 

    if (is_admin($admin)) {
        $out = "&nbsp;&nbsp;<a class=\"" . $font['normal'] . "\" href=\"" . $adminurl . "&amp;do=editmedia&amp;type=edit&amp;category=" . $gid . "&amp;pid=" . $pid . "&amp;gid=" . $gid . "\"><img src=\"" . $imagepath . "/edit.gif\" alt=\"Edit\" border=\"0\"></a>";
    } 

    if ((!empty($nonautomresizing)) && ($filetype == 1)) {
        $buffo = @getimagesize("" . $gallerypath . "/" . $galloc . "/" . $img . "");
        $scale = @($buffo[0] / $buffo[1]);
        if ($buffo[1] < $buffo[0]) {
            $bwidth = ($scale * $thumbwidth);
            $bhight = $thumbwidth;
        } elseif ($buffo[1] > $buffo[0]) {
            $bwidth = $thumbwidth;
            $bhight = ($thumbwidth / $scale);
        } elseif ($buffo[1] == $buffo[0]) {
            $bwidth = $thumbwidth;
            $bhight = $thumbwidth;
        } 

        return "<a class=\"" . $font['normal'] . "\" href=\"" . $baseurl . "&amp;do=showpic&amp;pid=" . $pid . "&amp;orderby=" . $orderby . "\">"
         . "<img src=\"" . $thumb . "\" alt=\"" . underscoreTospace($name) . "\" border=\"0\" align=\"MIDDLE\" width=\"" . $bwidth . "\" hight=\"" . $bhight . "\">"
         . "</a>" . $out . "";
    } else {
        return "<a class=\"" . $font['normal'] . "\" href=\"" . $baseurl . "&amp;do=showpic&amp;pid=" . $pid . "&amp;orderby=" . $orderby . "\">"
         . "<img src=\"" . $thumb . "\" alt=\"" . underscoreTospace($name) . "\" border=\"0\" align=\"MIDDLE\">"
         . "</a>" . $out . "";
    } 
} 

function displayDescriptionGall($row, $crow)
{
    global $font, $galleryvar;
    $m = 90 / $crow['numcol'];
    if (strlen($row['description']) > $m) {
        $row['description'] = trim(substr($row['description'], 0, $m));
        $p = strrpos($row['description'], ' ');
        $row['description'] = trim(substr($row['description'], 0, $p)) . '...';
    } 
    If ($galleryvar['setBBCode']) {
        $row['description'] = meg_bbencode($row['description']);
    } 
    return "<font class=\"" . $font['tiny'] . "\">" . $row['description'] . "</font>\n";
} 

function displayNewGall($row)
{
    global $imagepath ;
    if ($row['new_day'] == 0) {
        return "<img src=\"" . $imagepath . "/newred.gif\" border=\"0\" width=\"34\" height=\"14\" alt=\"" . _GALNEWMEDIA1 . "\">";
    } elseif ($row['new_day'] < 3) {
        return "<img src=\"" . $imagepath . "/newgreen.gif\" border=\"0\" width=\"34\" height=\"14\" alt=\"" . sprintf(_GALNEWMEDIA2, $row['new_day']) . "\">";
    } elseif ($row['new_day'] < 7) {
        return "<img src=\"" . $imagepath . "/newblue.gif\" border=\"0\" width=\"34\" height=\"14\" alt=\"" . sprintf(_GALNEWMEDIA2, $row['new_day']) . "\">";
    } 
} 

function displaySizeGall($row, $crow)
{
    global $font;

    if ($row['imginfo'][2]) {
        $size = $row['imginfo'];
        return "<font class=\"" . $font['tiny'] . "\"><b>" . _GALSIZE . "</b>: $size[0]x$size[1]</font>";
    } else {
        return "<font class=\"" . $font['tiny'] . "\"><b>" . _GALSIZE . "</b>: " . _GALUNKNOWN . "</font>";
    } 
} 

function displayFormatGall($row)
{
    global $font;
    $ext = $row['imginfo'][2];
    switch ($ext) {
        case 1: $type = "GIF";
            break;
        case 2: $type = "JPEG";
            break;
        case 3: $type = "PNG";
            break;
        case 4: $type = "WBMP";
            break;
        default: $type = $ext;
            break;
    } 
    return "<font class=\"" . $font['tiny'] . "\"><b>Format</b>: " . $type . "</font>";
} 

function displayNumCommentsGall($row)
{
    global $galleryvar, $prefix, $font, $dbi;
    $numcomments = sql_fetch_array(sql_query("SELECT COUNT(cid) AS total FROM " . $prefix . "_gallery_comments WHERE pid=" . intval($row['pid']) . "", $dbi), $dbi);
    if ($galleryvar['allowcomments']) {
        return "<font class=\"" . $font['tiny'] . "\"><b>" . _GALNBCOMMENTS . "</b>: " . $numcomments['total'] . "</font>";
    } 
} 

function displayHitsGall($row)
{
    global $font;
    return "<font class=\"" . $font['normal'] . "\"><b>" . _GALHITS . "</b><br>" . $row['counter'] . "</font>";
} 

function displayRateGall($row)
{
    global $galleryvar, $font;

    if ($galleryvar['allowrate']) {
        return "<font class=\"" . $font['normal'] . "\"><b>" . _GALRATING . "</b><br>" . $row['rate'] . "</font>";
    } 
} 

function displayDateAddedGall($row)
{
    global $font;
    return "<font class=\"" . $font['normal'] . "\"><b>" . _GALADDED . "</b></font><br><font class=\"" . $font['tiny'] . "\">" . strftime(_GALDATEBRIEF, $row['unix_date']) . "</font>";
} 

function displayName($row)
{
    global $font;
    return "<font class=\"" . $font['normal'] . "\"><b>" . $row['name'] . "</b></font>";
} 

function navigationCat($gid, $offset, $orderby, $page)
{
    global $font, $galleryvar, $basepath, $prefix, $module_name, $dbi ;
    $limit = $galleryvar['maxNumberMedia'];
    $orderby = convertorderbyout($orderby);
	$numresults = sql_query("select * from " . $prefix . "_gallery_pictures where gid=" . intval($gid) . "", $dbi);
    $numrows = sql_num_rows($numresults);
	include("" . $basepath . "/public/class.pager.php");
	$query_string="modules.php?name=My_eGallery&file=index&do=showgall&gid=".$gid."&orderby=".$orderby."";
    $pager = new pager($numrows, $limit, $query_string, $page_id = "page");
	$pg = $pager->page;
	$pager->but_prev = "<a href=\"{query_string}&offset={offset}&page={page}\"><strong>&lt;&lt; ({page})</strong></a>";
	$pager->but_next = "<a href=\"{query_string}&offset={offset}&page={page}\"><strong> ({page}) &gt;&gt;</strong></a>";
	$pager->but_page = "<a href=\"{query_string}&offset={offset}&page={page}\">["._GALPAGE.": {page}]</a>";
	$pager->but_page_this = "["._GALAKTIVEPAGE.": {page}]";
	$pager->separator = ".";
	$pager->range_display = "You see results: {from} to {to} out of {total}";
    $nav= $pager->getButPrev($pg);
	if($pager->getButPrev($pg)) $nav .= $pager->separator;
	$nav .= $pager->getButList(2);
	if($pager->getButNext($pg)) $nav .= $pager->separator;
	$nav .= $pager->getButNext($pg);
	return $nav;
}

    function navigationSubCat($gid, $subcatthumbperline)
    {
        global $baseurl, $adminurl, $imagepath, $admin, $user, $prefix, $gallerypath, $galleryvar, $font, $dbi, $out; 
        // $userRank = getUserRank();
        // $result = sql_query("SELECT gallid, gallname, description, total, (TO_DAYS(NOW()) - TO_DAYS(lastadd)) AS new_day FROM gallery_categories WHERE parent=$gid AND visible>=$userRank");
        if (is_admin($admin)) {
            $result = sql_query("SELECT gallid, gallname, galloc, gallimg, description, visible, total, lastadd,  (TO_DAYS(NOW()) - TO_DAYS(lastadd)) AS new_day FROM " . $prefix . "_gallery_categories WHERE parent='" . intval($gid) . "' AND visible>=0 ORDER by gallname", $dbi);
        } else {
            $result = sql_query("SELECT gallid, gallname, galloc, gallimg, description, visible, total, lastadd, (TO_DAYS(NOW()) - TO_DAYS(lastadd)) AS new_day FROM " . $prefix . "_gallery_categories WHERE parent='" . intval($gid) . "' AND visible>0 ORDER by gallname", $dbi);
        } 
        $nb = sql_num_rows($result);
        if (!$nb) {
            return false;
        } 
        $c = 0;
        $out .= "<center><font class=\"" . $font['normal'] . "\"><b>Subkategorien</b></font><br><br></center>";
        $out .= "<table border=\"0\" width=\"50%\" align=\"center\" cellpadding=\"2\"><tr>";
        $isuser = is_user($user);
        $isadmin = is_admin($admin);
        while ($row = sql_fetch_array($result, $dbi)) {
            If ($row['lastadd'] == '0000-00-00') {
                $row['new_day'] = '8';
            } 
            $vis = '';
            if ($row['visible'] == 1 && !$isuser) {
                $vis = '(*)';
            } 
            if ($isadmin) {
                switch ($row['visible']) {
                    case 0:
                        $vis .= "&nbsp;<a class=\"" . $font['normal'] . "\" href=\"" . $adminurl . "&amp;do=editcategory&amp;type=status&amp;visible=1&amp;category=" . $row['gallid'] . "\" title=\"" . _GALVISIBLEADMIN . "\"><img src=\"" . $imagepath . "/red_dot.gif\" border=\"0\" width=\"10\" height=\"10\" alt=\"" . _GALVISIBLEADMIN . "\"></a>&nbsp;";
                        break;
                    case 1:
                        $vis .= "&nbsp;<a class=\"" . $font['normal'] . "\" href=\"" . $adminurl . "&amp;do=editcategory&amp;type=status&amp;visible=2&amp;category=" . $row['gallid'] . "\" title=\"" . _GALVISIBLEMEMBER . "\"><img src=\"" . $imagepath . "/yellow_dot.gif\" border=\"0\" width=\"10\" height=\"10\" alt=\"" . _GALVISIBLEMEMBER . "\"></a>&nbsp;";
                        break;
                    default:
                        $vis .= "&nbsp;<a class=\"" . $font['normal'] . "\" href=\"" . $adminurl . "&amp;do=editcategory&amp;type=status&amp;visible=0&amp;category=" . $row['gallid'] . "\" title=\"" . _GALVISIBLEPUBLIC . "\"><img src=\"" . $imagepath . "/green_dot.gif\" border=\"0\" width=\"10\" height=\"10\" alt=\"" . _GALVISIBLEPUBLIC . "\"></a>&nbsp;";
                        break;
                } 
            } 
            if ($galleryvar['displaySubCatIcon']) {
                if (isset($galleryvar['SubCatIconwidth']) && $galleryvar['SubCatIconwidth'] != "") {
                    $icon = "<img src=\"" . $gallerypath . "/" . $row['galloc'] . "/" . $row['gallimg'] . "\" width=\"" . $galleryvar['SubCatIconwidth'] . "\" border=\"0\" alt=\"" . $row['description'] . "\">";
                } else {
                    $icon = "<img src=\"" . $gallerypath . "/" . $row['galloc'] . "/" . $row['gallimg'] . "\" border=\"0\" alt=\"" . $row['description'] . "\"></a>";
                } 
            } 
            $pc = ceil(100 / $subcatthumbperline);
            $out .= "<td width=\"" . $pc . "%\">";
            $out .= "<font class=\"" . $font['tiny'] . "\"><img src=\"" . $imagepath . "/folder.gif\" width=\"15\" height=\"13\" border=\"0\" alt=\"\">";
            if ($row['visible'] == 1 && !$isuser && !$isadmin) {
                $out .= "" . underscoreTospace($row['gallname']) . "" . ($row['total']) . "" . $vis . "";
            } else {
                $out .= "<a class=\"" . $font['normal'] . "\" href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $row['gallid'] . "\">" . underscoreTospace($row['gallname']) . "</a> " . ($row['total']) . "  " . $vis . "";
                $icon = "<a class=\"" . $font['normal'] . "\" href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $row['gallid'] . "\">" . $icon . "</a>";
            } 
            if ($row['new_day'] == 0) {
                $out .= "<img src=\"" . $imagepath . "/newred.gif\" border=\"0\" width=\"34\" height=\"14\" alt=\"" . _GALNEWMEDIA1 . "\">";
            } elseif ($row['new_day'] < 3) {
                $out .= "<img src=\"" . $imagepath . "/newgreen.gif\" border=\"0\" width=\"34\" height=\"14\" alt=\"" . sprintf(_GALNEWMEDIA2, $row['new_day']) . "\">";
            } elseif ($row['new_day'] < 7) {
                $out .= "<img src=\"" . $imagepath . "/newblue.gif\" border=\"0\" width=\"34\" height=\"14\" alt=\"" . sprintf(_GALNEWMEDIA2, $row['new_day']) . "\">";
            } 

            $out .= "\n</font>\n";
            $out .= "<br>" . $icon . "";
            $out .= "</td>";
            $c++;
            if ($c == $subcatthumbperline && $nb != $subcatthumbperline) {
                $out .= "</tr><tr>";
                $c = 0;
            } 
        } 
        $out .= "</tr></table>";
        return $out;
    } 

    function convertorderbytrans($orderby)
    {
        if ($orderby == "counter ASC") $orderbyTrans = "" . _GALPOPULARITY1 . "";
        if ($orderby == "counter DESC") $orderbyTrans = "" . _GALPOPULARITY2 . "";
        if ($orderby == "name ASC") $orderbyTrans = "" . _GALNAMEAZ . "";
        if ($orderby == "name DESC") $orderbyTrans = "" . _GALNAMEZA . "";
        if ($orderby == "date ASC") $orderbyTrans = "" . _GALDATE1 . "";
        if ($orderby == "date DESC") $orderbyTrans = "" . _GALDATE2 . "";
        if ($orderby == "rate ASC") $orderbyTrans = "" . _GALRATING1 . "";
        if ($orderby == "rate DESC") $orderbyTrans = "" . _GALRATING2 . "";
        return $orderbyTrans;
    } 

    function showgall($gid, $offset, $orderby, $page)
    {
        global $galleryvar, $basepath, $font, $adminpath, $prefix, $user, $admin, $dbi;
        include ("" . $adminpath . "/config.php");
        $displaysortbar = $galleryvar['displaysortbar'];
        $res = sql_fetch_array(sql_query("SELECT count(*) as total FROM " . $prefix . "_gallery_categories WHERE parent='" . intval($gid) . "' AND visible=1", $dbi), $dbi);
        $crow = sql_fetch_array(sql_query("SELECT c.galloc, c.numcol, c.description, c.visible, c.thumbwidth, t.templateCategory, t.templateCSS FROM " . $prefix . "_gallery_categories AS c LEFT JOIN " . $prefix . "_gallery_template_types AS t ON t.id=c.template WHERE gallid='" . intval($gid) . "'", $dbi), $dbi);
        $ok = 0;
        $subcatthumbperline = $crow['numcol'];
        switch ($crow['visible']) {
            case 0:
                if (is_admin($admin))
                    $ok = 1;
                break;
            case 1:
                if (is_user($user) || is_admin($admin))
                    $ok = 1;
                break;
            default:
                $ok = 1;
                break;
        } 

        if ($ok) {
            galleryHeader();
            OpenTable();
            if (isset($orderby)) {
                $orderby = convertorderbyin($orderby);
            } else {
                $orderby = convertorderbyin($galleryvar['defaultsortmedia']);
            } 
            if (!$gid) {
                header("Location: $baseurl");
                exit;
            } 
            $limit = $galleryvar['maxNumberMedia'];
            if (empty($offset)) {
                $offset = 0;
            } 
            $orderbyTrans = convertorderbytrans($orderby);
            $navtree = navigationTree($gid, false);
            $nav = navigationCat($gid, $offset, $orderby, $page);
            $navgall = navigationGall();
            $subcats = navigationSubCat($gid, $subcatthumbperline);
            $result = sql_query("SELECT m.*, UNIX_TIMESTAMP(m.date) AS unix_date, (TO_DAYS(NOW()) - TO_DAYS(m.date)) AS new_day, f.displaytag, f.thumbnail, f.filetype, f.description AS description_media FROM " . $prefix . "_gallery_pictures AS m LEFT JOIN " . $prefix . "_gallery_media_types AS f ON f.extension=m.extension WHERE gid=" . intval($gid) . " ORDER BY " . $orderby . " LIMIT " . intval($offset) . "," . intval($limit) . "", $dbi);
            $nb = sql_num_rows($result);
            $pc = ceil(100 / $crow['numcol']);
            $c = 0;
            echo "<p align=\"center\">" . $navgall . "</p>";
            echo "<p align=\"center\">" . $navtree . "</p>";
            if ($subcats != -1) {
                echo "<p align=\"center\">" . $subcats . "<hr></p>";
            } 
            echo "<p align=\"center\"><font class=\"" . $font['normal'] . "\"><b>" . $crow['description'] . "</b></font></p>\n";
            if ($displaysortbar) {
                if (empty($newoffset)) {
                    $newoffset = 0;
                } 
                echo "<p align=\"center\"><font class=\"tiny\">" . _GALSORTMEDIABY . ": "
                 . "" . _NAMEN . " (<a class=\"" . $font['tiny'] . "\" href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $gid . "&amp;offset=" . $newoffset . "&amp;orderby=titleA\">" . _GALASC . "</a>\<a href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $gid . "&amp;offset=" . $newoffset . "&amp;orderby=titleD\">" . _GALDESC . "</a>) "
                 . "" . _DATE . " (<a class=\"" . $font['tiny'] . "\" href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $gid . "&amp;offset=" . $newoffset . "&amp;orderby=dateA\">" . _GALASC . "</a>\<a href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $gid . "&amp;offset=" . $newoffset . "&amp;orderby=dateD\">" . _GALDESC . "</a>) "
                 . "" . _RATING . " (<a class=\"" . $font['tiny'] . "\" href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $gid . "&amp;offset=" . $newoffset . "&amp;orderby=ratingA\">" . _GALASC . "</a>\<a href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $gid . "&amp;offset=" . $newoffset . "&amp;orderby=ratingD\">" . _GALDESC . "</a>) "
                 . "" . _POPULARITY . " (<a class=\"" . $font['tiny'] . "\" href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $gid . "&amp;offset=" . $newoffset . "&amp;orderby=hitsA\">" . _GALASC . "</a>\<a href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $gid . "&amp;offset=" . $newoffset . "&amp;orderby=hitsD\">" . _GALDESC . "</a>) "
                 . "<br>" . _GALMEDIASORTED . ": " . $orderbyTrans . "</font></p>";
            } 
            echo "<p align=\"center\">" . $nav . "</p>";
            echo "<table border=\"0\" width=\"100%\" align=\"center\" cellpadding=\"2\"><tr>";
            while ($row = sql_fetch_array($result, $dbi)) {
                $template = $crow['templateCategory'];
                $template = str_replace('<:IMAGE:>', displayPictureGall($row['filetype'], $row['gid'], $row['pid'], $crow['thumbwidth'], $crow['galloc'], $row['name'], $row['img'], convertorderbyout($orderby)), $template); 
                // get some image info stuff out of the way here
                if ($row['filetype'] == 1) {
                    $row['imginfo'] = @getimagesize("" . $gallerypath . "/" . $crow['galloc'] . "/" . $row['img'] . "");
                } else {
                    $row['imginfo'] = false;
                    $row['imginfo'][0] = $row['width'];
                    $row['imginfo'][1] = $row['height'];
                    $row['imginfo'][2] = $row['description_media'];
                    $row['imginfo'][3] = "width=\"" . $row['width'] . "\" height=\"" . $row['height'] . "\"";
                } 
                // ok, back to what we were doing
                $val_description = displayDescriptionGall($row, $crow);

                $val_rate = displayRateGall($row);
                $val_format = displayFormatGall($row);
                $val_size = displaySizeGall($row, $crow);
                $val_nmbComments = displayNumCommentsGall($row);
                $val_new = displayNewGall($row);
                $val_hits = displayHitsGall($row);
                $val_date = displayDateAddedGall($row);
                $val_name = displayName($row);
                $template = str_replace('<:DESCRIPTION:>', $val_description, $template);
                $template = str_replace('<:RATE:>', $val_rate, $template);
                $template = str_replace('<:FORMAT:>', $val_format, $template);
                $template = str_replace('<:SIZE:>', $val_size, $template);
                $template = str_replace('<:NBCOMMENTS:>', $val_nmbComments, $template);
                $template = str_replace('<:NEW:>', $val_new, $template);
                $template = str_replace('<:HITS:>', $val_hits, $template);
                $template = str_replace('<:DATE:>', $val_date, $template);
                $template = str_replace('<:NAME:>', $val_name, $template);

                echo "<td width=\"" . $pc . "%\">" . $template . "</td>";
                $c++;
                if ($c == $crow['numcol'] && $nb != $crow['numcol']) {
                    echo "</tr><tr>";
                    $c = 0;
                } 
            } 

            echo "</tr></table>"
             . "<center><br>" . $nav . "<br>";

            if ($galleryvar['displaySearchForm']) {
                include("" . $basepath . "/public/search.php"); 
                # echo search_form($GLOBALS[$HTTP_POST_VARS]); Das geht net mehr
                echo search_form($_POST);
            } 

            echo "</center>";

            if ($res['total'] > 0 && !is_user($user)) {
                echo "<br><center><font class=\"" . $font['tiny'] . "\"><i>" . _GALCATMEMBERS . "</i></font></center>";
            } 
            CloseTable();
            galleryFooter();
        } // If Ok
        if (!$ok == 1) {
            galleryHeader();
            OpenTable();
            $navtree = navigationTree($gid, false);
            $navgall = navigationGall();
            if (($crow['visible'] == 0) && (!is_admin($admin))) {
                echo "" . $navgall . " " . $navtree . ""
                 . "<br><table border=\"0\" cellpadding=\"2\" cellspacing=\"2\" width=\"96%\" align=\"center\">"
                 . "<tr><td><center><font class=\"" . $font['title'] . "\">" . _GALADMINREQ . "</font></center></td></tr>"
                 . "<tr><td><a href=\"admin.php\"><center><font class=\"" . $font['title'] . "\">" . _GALTOADMINLOGIN . "</font></center></a></td></tr>"
                 . "<tr><td><center><font class=\"" . $font['title'] . "\">" . _GALBACKTOCALLER . " " . _GOBACK7 . ".</center></font></td></tr></table>";
            } elseif (($crow['visible'] == 1) && ((!is_admin($admin)) || (!is_user($user)))) {
                echo "" . $navgall . " " . $navtree . ""
                 . "<br><table border=\"0\" cellpadding=\"2\" cellspacing=\"2\" width=\"96%\" align=\"center\">"
                 . "<tr><td><center><font class=\"" . $font['title'] . "\">" . _GALUSERREQ . "</font></center></td></tr>"
                 . "<tr><td><a href=\"modules.php?name=Your_Account\"><center><font class=\"" . $font['title'] . "\">" . _GALTOUSERLOGIN . "</font></center></a></td></tr>"
                 . "<tr><td><center><font class=\"" . $font['title'] . "\">" . _GALBACKTOCALLER . " " . _GOBACK7 . ".</center></font></td></tr></table>";
            } 
            CloseTable();
            galleryFooter();
        } 
    } 

    ?>
